### Hierarchy

- ParserColumnDefinition

### Implements

- IParserColumnDefinition

## Index

### Constructors

- constructor

### Properties

- defaultValue
- disabled
- enumValues
- field
- id
- ignoreCellRenderer
- name
- type
- width

### Methods

- getDefaultValue
- render

### Object literals

- cellStyle
- columnStyle

## Constructors

### constructor

- new ParserColumnDefinition(data: any, styleDefaults?: IPageCellStyle): ParserColumnDefinition

- - Defined in Page/Parser.ts:444

  #### Parameters

  - ##### data: any

  - ##### Optional styleDefaults: IPageCellStyle

  #### Returns ParserColumnDefinition

## Properties

### defaultValue

defaultValue: string | number | null = null

Implementation of IParserColumnDefinition.defaultValue

- Defined in Page/Parser.ts:442

### disabled

disabled: boolean = false

Implementation of IParserColumnDefinition.disabled

- Defined in Page/Parser.ts:431

### enumValues

enumValues: IParserEnumValues

Implementation of IParserColumnDefinition.enumValues

- Defined in Page/Parser.ts:443

### field

field: string = ""

Implementation of IParserColumnDefinition.field

- Defined in Page/Parser.ts:433

### id

id: boolean = false

Implementation of IParserColumnDefinition.id

- Defined in Page/Parser.ts:430

### ignoreCellRenderer

ignoreCellRenderer: boolean = false

Implementation of IParserColumnDefinition.ignoreCellRenderer

- Defined in Page/Parser.ts:444

### name

name: string = ""

Implementation of IParserColumnDefinition.name

- Defined in Page/Parser.ts:432

### type

type: string = ""

Implementation of IParserColumnDefinition.type

- Defined in Page/Parser.ts:434

### width

width: number = 64

Implementation of IParserColumnDefinition.width

- Defined in Page/Parser.ts:435

## Methods

### getDefaultValue

- getDefaultValue(): string | number

- Implementation of IParserColumnDefinition.getDefaultValue

  - Defined in Page/Parser.ts:471

  #### Returns string | number

### render

- render(params?: IParserParams): IParserCellRenderer | null

- - Defined in Page/Parser.ts:468

  #### Parameters

  - ##### Optional params: IParserParams

  #### Returns IParserCellRenderer | null

## Object literals

### cellStyle

cellStyle: object

Implementation of IParserColumnDefinition.cellStyle

- Defined in Page/Parser.ts:439

### width

width: string = `64px`

- Defined in Page/Parser.ts:440

### columnStyle

columnStyle: object

Implementation of IParserColumnDefinition.columnStyle

- Defined in Page/Parser.ts:436

### width

width: string = `64px`

- Defined in Page/Parser.ts:437

Generated using TypeDoc